List Transit routes
curl --request GET \
--url https://api.paxoslabs.com/v1/transit/routes \
--header 'x-api-key: <api-key>'import requests
url = "https://api.paxoslabs.com/v1/transit/routes"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.paxoslabs.com/v1/transit/routes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"routes": [
{
"sourceChainId": 11155111,
"destinationChainId": 46630,
"destinationChainEID": 40451,
"offerAsset": "0x6587b742ef7536c196e5081ce294d8e85f215d95",
"wantAsset": "0x6debc1f4add5d7d5096bdcae65581ac7bcb1f141",
"minOrderSize": "5000000",
"tokenMetadataMap": {
"0x6587b742ef7536c196e5081ce294d8e85f215d95": {
"chain_id": "11155111",
"address": "0x6587b742ef7536c196e5081ce294d8e85f215d95",
"name": "MOCK USDC",
"symbol": "MOCK_USDC",
"decimals": "6",
"token_standard": "ERC20",
"first_seen_at": "2026-06-05T23:28:45Z",
"metadata_refreshed_at": "2026-06-05T19:28:33Z"
},
"0x6debc1f4add5d7d5096bdcae65581ac7bcb1f141": {
"chain_id": "46630",
"address": "0x6debc1f4add5d7d5096bdcae65581ac7bcb1f141",
"name": "MOCK USDG",
"symbol": "MOCK_USDG",
"decimals": "6",
"token_standard": "ERC20",
"first_seen_at": "2026-06-05T23:28:08Z",
"metadata_refreshed_at": "2026-06-05T19:27:54Z"
}
}
}
]
}{
"error": {
"code": 400,
"message": "Invalid filter syntax.",
"status": "INVALID_ARGUMENT",
"details": [
{
"@type": "type.paxoslabs.dev/errors/BadRequest",
"fieldViolations": [
{
"field": "filter",
"description": "vaultAddress 0x0x is an invalid hex address."
}
]
}
]
}
}Transit
List Transit routes
Returns the set of routes (source chain, destination LayerZero EID, offer/want assets) available to the caller.
GET
/
v1
/
transit
/
routes
List Transit routes
Authorizations
API key in format: pxl_<public_id>_
Query Parameters
AIP-160 filter expression. Supported keys: sourceChainId, destinationChainId, offerAsset, wantAsset.
Example:
"sourceChainId=1 AND destinationChainId=8453"
Response
Show child attributes
Show child attributes
Example:
[
{
"sourceChainId": 11155111,
"destinationChainId": 46630,
"destinationChainEID": 40451,
"offerAsset": "0x6587b742ef7536c196e5081ce294d8e85f215d95",
"wantAsset": "0x6debc1f4add5d7d5096bdcae65581ac7bcb1f141",
"minOrderSize": "5000000",
"tokenMetadataMap": {
"0x6587b742ef7536c196e5081ce294d8e85f215d95": {
"chain_id": "11155111",
"address": "0x6587b742ef7536c196e5081ce294d8e85f215d95",
"name": "MOCK USDC",
"symbol": "MOCK_USDC",
"decimals": "6",
"token_standard": "ERC20",
"first_seen_at": "2026-06-05T23:28:45Z",
"metadata_refreshed_at": "2026-06-05T19:28:33Z"
},
"0x6debc1f4add5d7d5096bdcae65581ac7bcb1f141": {
"chain_id": "46630",
"address": "0x6debc1f4add5d7d5096bdcae65581ac7bcb1f141",
"name": "MOCK USDG",
"symbol": "MOCK_USDG",
"decimals": "6",
"token_standard": "ERC20",
"first_seen_at": "2026-06-05T23:28:08Z",
"metadata_refreshed_at": "2026-06-05T19:27:54Z"
}
}
}
]
⌘I